Joshua Thijssen Blog: php 5,4 + htrouter: Ihre persönlichen Apache 2.2-kompatiblen Server

Joshua Thijssen hat einen neuen Beitrag in seinem Blog heute über ein Feature des kommenden PHP Version 5.4, die eingebaute Web-Server, und mit Hilfe eines einfachen PHP-Skript -. htrouter .

Das Problem mit der neuen PHP 5.4 Interne Web-Server ist, dass es nicht Apache. So weiß nichts über. Htaccess. Selbst wenn Sie definiert haben Ihre. Htaccess um die Authentifizierung zu tun, wird die PHP-interne Web-Server zu ignorieren, während in der Produktion, die Authentifizierung benötigt werden (wenn man so will laufendem Apache, natürlich). Auch muss man alles manuell umleiten durch Ihre app_dev.php, so dass Ihre URL ist nicht wirklich passend, wie sie auf Ihrer Produktion sein wird.

Er stellt die PHP-Web-Server schnell, einfach zeigt ein Beispiel Kommandozeilen-Aufruf zu starten und ihn an einem bestimmten PHP-Datei als „Bootstrap“ point. Mit der Hilfe seines htrouter -Skript, aber du kannst „Module“ ähnlich wie in Apache verwenden. Er hat bereits die HTTP auth Sachen arbeiten und mehr kommen wird.

PHPDeveloper.org

Schreibe einen Kommentar